using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace DTable_App.admin
{
	/// <summary>
	/// admin_bbs_bEDT 的摘要说明。
	/// </summary>
	public class admin_bbs_bEDT : System.Web.UI.Page
	{
		protected dtable.dTable DTable1;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
			sharecode.CheckAdmin();
			sharecode.CheckAdminQx("论坛栏目管理");
			DTable1.ConnStr=sharecode.ConnStr;
			DTable1.TableName="DTable_BBS_Board";
			DTable1.List_SQL="select a.id,a.栏目名称,b.栏目名称 as 父栏目,a.栏目介绍,a.栏目图标,a.版主,a.排序 from DTable_BBS_Board a left outer join DTable_BBS_Board b on a.父栏目=b.id order by a.id desc";
			DTable1.List_FieldFormat="4||urlimage|../DTableBBS/img_bbsSet/||||";
			DTable1.AdminMode =true;
			DTable1.Edit_FieldList ="id,栏目名称,父栏目,栏目介绍,栏目图标,版主,排序";
			DTable1.Edit_FieldFormat ="2||treemenu|DTable_BBS_Board@@id@@栏目名称@@父栏目||||^4||urlfile|../DTableBBS/img_bbsSet/||||";




		}

		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
